Bug 137815 - redhat-config-httpd uses wrong values for KeepAlive
Summary: redhat-config-httpd uses wrong values for KeepAlive
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-httpd   
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 132991
TreeView+ depends on / blocked
 
Reported: 2004-11-01 19:02 UTC by David Lehman
Modified: 2015-03-05 01:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-19 17:28:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix r-c-httpd handling of KeepAlive directive (1.24 KB, patch)
2004-11-01 19:07 UTC, David Lehman
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:210 normal SHIPPED_LIVE redhat-config-httpd bug fix update 2005-05-19 04:00:00 UTC

Description David Lehman 2004-11-01 19:02:55 UTC
Description of problem:
Apache interprets anything other than "off" or "0" (case insensitive) as "On",
while apacheconf (and therefore r-c-httpd) sets it to either "true" or "false".

Version-Release number of selected component (if applicable):
redhat-config-httpd-1.1.0-4

How reproducible:
Always 

Steps to Reproduce:
1. Run redhat-config-httpd
2. Enable, then disable the "Allow Persistent Connections" checkbox in the
"Performance Tuning" tab
3.
  
Actual results:
/etc/httpd/conf/httpd.conf contains the line "KeepAlive false", which httpd will
interpret as "On".

Expected results:
"KeepAlive Off"

Additional info:
This bug is also present in the AS2.1 version of apacheconf.

Comment 1 David Lehman 2004-11-01 19:07:17 UTC
Created attachment 106036 [details]
Patch to fix r-c-httpd handling of KeepAlive directive

Comment 4 Phil Knirsch 2005-02-23 15:48:27 UTC
Packages and errata have been done for RHEL3-U5.

Read ya, Phil

Comment 5 Dennis Gregorovic 2005-05-19 17:28:05 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-210.html



Note You need to log in before you can comment on or make changes to this bug.